"""
Function of this code: one method of feature extraciton from the numerical values.
Contact for help: gch_liu@163.com 
"""

from ktuple import ktuple
#from cell2mat import cell2mat
from recode_alignmentfree import recode_alignmentfree
import numpy as np
def seq2num(inputdata):
    input_kmers_cal=ktuple(inputdata)
    input_kmers=input_kmers_cal[1:,:]  
    input_recode=recode_alignmentfree(inputdata)
    res_num=np.append(input_kmers,input_recode,axis=1)
    return res_num